.TOC_Heading_2 {
    color: #000000;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 11.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.18;
    margin-bottom: 0.000000pt;
    margin-left: 18.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 3.000000pt;
    padding-top: 12.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Body_Bullet {
    color: #000000;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 10.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.44;
    margin-bottom: 0.000000pt;
    margin-left: 0.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Quote {
    color: #616161;
    font-family: 'Times-Roman', 'Times';
    font-size: 11.00pt;
    font-style: italic;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.18;
    margin-bottom: 0.000000pt;
    margin-left: 72.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 16.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Heading {
    color: #000000;
    font-family: 'Helvetica-Bold', 'Helvetica';
    font-size: 24.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 1.21;
    margin-bottom: 0.000000pt;
    margin-left: 0.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 16.000000pt;
    padding-top: 12.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Code {
    color: #000000;
    font-family: 'Courier', 'Courier';
    font-size: 9.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.22;
    margin-bottom: 0.000000pt;
    margin-left: 94.50pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.TOC_Heading_3 {
    color: #7f7f7f;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 11.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.18;
    margin-bottom: 0.000000pt;
    margin-left: 0.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 5.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 72.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Footnote_Text {
    color: #000000;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 10.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.20;
    margin-bottom: 0.000000pt;
    margin-left: 0.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 10.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Heading_1 {
    color: #000000;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 14.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 1.21;
    margin-bottom: 0.000000pt;
    margin-left: 72.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 7.000000pt;
    padding-top: 21.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Version {
    color: #bfbfbf;
    font-family: 'HelveticaNeue-Bold', 'Helvetica Neue';
    font-size: 96.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 1.23;
    margin-bottom: 0.000000pt;
    margin-left: 71.65pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: right;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Copyright {
    color: #7f7f7f;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 8.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.25;
    margin-bottom: 0.000000pt;
    margin-left: 0.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: right;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Heading_2 {
    color: #5f5f5f;
    font-family: 'Helvetica-Bold', 'Helvetica';
    font-size: 11.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 1.18;
    margin-bottom: 0.000000pt;
    margin-left: 71.65pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 10.000000pt;
    padding-top: 17.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.PsuedoCode {
    color: #000000;
    font-family: 'Times-Italic', 'Times';
    font-size: 11.00pt;
    font-style: italic;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.18;
    margin-bottom: 0.000000pt;
    margin-left: 94.50pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Body {
    color: #000000;
    font-family: 'Helvetica', 'Helvetica';
    font-size: 10.00pt;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.20;
    margin-bottom: 0.000000pt;
    margin-left: 72.00pt;
    margin-right: 0.00pt;
    margin-top: 0.000000pt;
    padding-bottom: 0.000000pt;
    padding-top: 0.000000pt;
    text-align: left;
    text-decoration: none;
    text-indent: 0.00pt;
    text-transform: none;
    vertical-align: 0.000000em;
}
.Bullet_6 {
    list-style: disc;
    margin-bottom: 0.000000pt;
    margin-left: 108.000000pt;
    margin-top: 0.000000pt;
    padding-left: 6pt;
    text-indent: 6.000000pt;
}
.Table {
    background-color: transparent;
    border-collapse: collapse;
}
.Normal {
    vertical-align: top;
}
.table_cell_style_default {
    background-color: transparent;
}
.Bullet_5 {
    list-style: disc;
    margin-bottom: 0.000000pt;
    margin-left: 90.000000pt;
    margin-top: 0.000000pt;
    padding-left: 6pt;
    text-indent: 6.000000pt;
}
